Subject: [TLS] Editorial comments on -22

From: "Salz, Rich" <[email-masked]>
Date: Wed, 29 Nov 2017 18:30:18 +0000

> The handshake state machine has been significantly restructured to
      be more consistent and to remove superfluous messages such as
      ChangeCipherSpec.

No longer true, at least for CCS.

>      connection.  Unfortunately, some middleboxes fail when presented
      with new values.  In TLS 1.3, the TLS server indicates its version

I suggest replacing “middleboxes fail” with “intermediaries block the connection”

>   For backward compatibility reasons with middleboxes (see

Replace “middlebox” with “intermediary”.  This appears a couple of other times, and I suggest doing that replacement everywhere except in Appendix D where we say something like

“Network intermediaries, along the path between the two communicating endpoints, typically called intermediaries, have been shown to interfere …”

I also think that all of the changes described earlier (such as the ones quoted above, but there are others) should be summarized in Appendix D.

I am willing to do a PR for this, but not sure what to do about the first point I raised above.